package common

import "film/model"

type CheckInfo struct {
	TotalOriginPrice int64
	TotalRealPrice   int64
	CouponPrice      int64
	BillCode         string
}

type OrderInfo struct {
}

type Processor interface {
	CheckOrder(*model.Order) (*CheckInfo, error)
	CreateOrder(*model.Order) (*OrderInfo, error)
	CancelOrder(*model.Order, *CheckInfo) error
}
