package dadi

type PreviewOrder struct {
	TotalOriginPrice int64
	TotalRealPrice   int64
	CouponPrice      int64
	BillCode         string
}

type SeatGoods struct {
	StandPrice     string `json:"standPrice"`
	SeatCode       string `json:"seatCode"`
	PlanCode       string `json:"planCode"`
	LevelCode      string `json:"levelCode"`
	AddPrice       string `json:"addPrice"`
	PlatServiceFee string `json:"platServiceFee"`
	ServiceFee     string `json:"serviceFee"`
}

type FilmShowHall struct {
	ShowDay   string
	FilmName  string
	HallName  string
	StartTime string
	EndTime   string
	SessionId string
}

type Cinema struct {
	Id          int64
	UnifiedCode int64
	Name        string
	Address     string
	Latitude    string
	Longitude   string
	CityId      int64
}

type City struct {
	Name      string
	ShortName string
	CityCode  int64
	CityId    int64
	Cinemas   []*Cinema
}
